import * as core from "@terrascript/core";

export interface PolicyArgs extends core.ResourceArgs {
  policy: string | core.StringOut;

  resourceArn: string | core.StringOut;
}

export class Policy extends core.Resource<PolicyArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public policy!: string | core.StringOut;

  @core.attr(String)
  public resourceArn!: string | core.StringOut;

  constructor(name: string, args?: PolicyArgs) {
    super(name, "aws_acmpca_policy", args);
  }

  public override getNamespace(): string {
    return "aws_acmpca";
  }
}
